Upstream information

CVE-2014-2285 at MITRE

Description

The perl_trapd_handler function in perl/TrapReceiver/TrapReceiver.xs in Net-SNMP 5.7.3.pre3 and earlier, when using certain Perl versions, allows remote attackers to cause a denial of service (snmptrapd crash) via an empty community string in an SNMP trap, which triggers a NULL pointer dereference within the newSVpv function in Perl.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 866942 [RESOLVED / FIXED], 875217 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
  • libsnmp30 >= 5.7.3-4.2
  • libsnmp30-32bit >= 5.7.3-4.2
  • net-snmp >= 5.7.3-4.2
  • perl-SNMP >= 5.7.3-4.2
  • snmp-mibs >= 5.7.3-4.2
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • libsnmp30 >= 5.7.3-6.3.1
  • libsnmp30-32bit >= 5.7.3-6.3.1
  • net-snmp >= 5.7.3-6.3.1
  • perl-SNMP >= 5.7.3-6.3.1
  • snmp-mibs >= 5.7.3-6.3.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • libsnmp30 >= 5.7.2.1-3.8
  • libsnmp30-32bit >= 5.7.2.1-3.8
  • net-snmp >= 5.7.2.1-3.8
  • perl-SNMP >= 5.7.2.1-3.8
  • snmp-mibs >= 5.7.2.1-3.8
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libsnmp30 >= 5.7.3-6.6.1
  • libsnmp30-32bit >= 5.7.3-6.6.1
  • net-snmp >= 5.7.3-6.6.1
  • perl-SNMP >= 5.7.3-6.6.1
  • snmp-mibs >= 5.7.3-6.6.1
SUSE Linux Enterprise Module for Basesystem 15
  • libsnmp30 >= 5.7.3-5.21
  • net-snmp >= 5.7.3-5.21
  • net-snmp-devel >= 5.7.3-5.21
  • perl-SNMP >= 5.7.3-5.21
  • snmp-mibs >= 5.7.3-5.21
SUSE Linux Enterprise Server 11 SP4
  • libsnmp15 >= 5.4.2.1-8.12.22.1
  • libsnmp15-32bit >= 5.4.2.1-8.12.22.1
  • libsnmp15-x86 >= 5.4.2.1-8.12.22.1
  • net-snmp >= 5.4.2.1-8.12.22.1
  • perl-SNMP >= 5.4.2.1-8.12.22.1
  • snmp-mibs >= 5.4.2.1-8.12.22.1
SUSE Linux Enterprise Server 11-SECURITY
  • libsnmp15-openssl1 >= 5.4.2.1-8.12.31.1
  • libsnmp15-openssl1-32bit >= 5.4.2.1-8.12.31.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libsnmp30 >= 5.7.3-4.2
  • net-snmp >= 5.7.3-4.2
  • perl-SNMP >= 5.7.3-4.2
  • snmp-mibs >= 5.7.3-4.2
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libsnmp15-32bit >= 5.4.2.1-8.12.22.1
  • net-snmp-devel >= 5.4.2.1-8.12.22.1
  • net-snmp-devel-32bit >= 5.4.2.1-8.12.22.1
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
  • net-snmp-devel >= 5.7.3-4.2
SUSE Linux Enterprise Software Development Kit 12 SP4
  • net-snmp-devel >= 5.7.3-6.3.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • net-snmp-devel >= 5.7.3-6.6.1
SUSE Linux Enterprise Software Development Kit 12
  • net-snmp-devel >= 5.7.2.1-3.8
openSUSE Leap 15.0
  • libsnmp30 >= 5.7.3-lp150.5.1
  • net-snmp >= 5.7.3-lp150.5.1
  • perl-SNMP >= 5.7.3-lp150.5.1
  • snmp-mibs >= 5.7.3-lp150.5.1
Patchnames:
openSUSE Leap 15.0 GA libsnmp30
openSUSE Tumbleweed
  • libsnmp30 >= 5.7.3-8.4
  • libsnmp30-32bit >= 5.7.3-8.4
  • net-snmp >= 5.7.3-8.4
  • net-snmp-devel >= 5.7.3-8.4
  • net-snmp-devel-32bit >= 5.7.3-8.4
  • net-snmp-python >= 5.7.3-8.4
  • perl-SNMP >= 5.7.3-8.4
  • snmp-mibs >= 5.7.3-8.4
Patchnames:
openSUSE Tumbleweed GA libsnmp30-32bit


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 net-snmp Released
SLED-10-SP4 net-snmp Released
SLES-10-SP3 net-snmp Released
SLES-10-SP4 net-snmp Released
SLES_LTSS-10-SP4 net-snmp Released
SUSE Linux Enterprise Desktop 11 SP1 net-snmp Released
SUSE Linux Enterprise Desktop 11 SP3 net-snmp Released
SUSE Linux Enterprise Server 11 SP1 net-snmp Released
SUSE Linux Enterprise Server 11 SP1 LTSS net-snmp Released
SUSE Linux Enterprise Server 11 SP3 net-snmp Released
SUSE Linux Enterprise Server 11 SP3 LTSS net-snmp Released
SUSE Linux Enterprise Server 11 SP3 for VMware net-snmp Released
SUSE Linux Enterprise Server 11 SP4 net-snmp Released
SUSE Linux Enterprise Server 11 SP4 LTSS net-snmp Released
SUSE Linux Enterprise Server for SAP Business All-in-One net-snmp Released
SUSE Linux Enterprise Software Development Kit 11 SP1 net-snmp Released
SUSE Linux Enterprise Software Development Kit 11 SP3 net-snmp Released
SUSE Linux Enterprise Software Development Kit 11 SP4 net-snmp Released